La vita di un pazzo d'amore

Un innamorato davanti al computer in un mondo che va di fretta

  • Post più letti

  • Categorie

  • Archivi

  • Licenza del sito

    Creative Commons License
    "La vita di un pazzo d'amore" è rilasciato sotto licenza Creative Commons.
  • Donazione

    Dona a La vita di un pazzo d'amore

Eclipse Ganymede su Ubuntu

Posted by mika29 su 08/05/2009

ganymede_splashFinalmente ho trovato il modo per far funzionare la nuova versione di Eclipse su Ubuntu.
Che poi tanto nuova non è. Infatti la Ganymede (3.4) è disponibile al download dall’anno scorso ma se cercate sui repository trovate solo la 3.2 che è obsoleta.

Comunque il problema era questo: non si avviava Eclipse e si bloccava inspiegabilmente.
Ma grazie anche a un post trovato su www.nicolacolonna.it ho risolto tutto e adesso funziona benissimo.
Il problema, come al solito, è dovuto al conflitto tra la jvm (Java Virtual Machine) di Sun e gcj (il compilatore Java di GNU).

Il conflitto appare maggiormente su Linux e non su Windows per il semplice motivo che gcj è installato magari automaticamente come dipendenze di alcuni programmi (come la versione di Eclipse su repository), cosa che non succede su Windows dove viene installata solamente la jvm di Sun.

Ovviamente questo post è dedicato a chi ha problemi ad avviare la nuova versione di Eclipse. Per chi non ha problemi lasciate stare tutto quello che scrivo.

Per prima cosa dovete scaricare Eclipse Ganymede dal sito di Eclipse. Io per ragioni universitarie ho scaricato la versione “Eclipse IDE for Java EE Developers” ma ognuno può scaricare quello che vuole.

Una volta scaricata la versione per Linux del programma avrete scaricato un file .tar.gz che dovrete aprire e fare l’estrazione della cartella sul proprio pc. La cartella denominata “eclipse” conterrà tutte le modifiche fatte al programma, quindi se fate il backup della cartella farete il backup di tutte le impostazioni del programma.

Se avete problemi ad avviare il file “eclipse” che si trova nella cartella omonima, dovete installare il programma xulrunner che installate comodamente digitando sul terminale “sudo apt-get install xulrunner“.

Provate a verificare se il programma parte. Se non parte dovrete ancora aprire il terminale e jvm terminaledigitare il comando “sudo update-alternatives –config java” e vi apparirà una lista di jvm pronte ad essere utilizzate.
Vi verrà chiesto quale jvm utilizzare. Dovete inserire il numero che si riferisce alla jvm di Sun più recente (nel caso in figura java-6-sun).

Fatto questo dovrebbe funzionare. Se avete ancora problemi di compilazione questi potrebbero dipendere da delle gcj presenti sul vostro pc. Se avete la gcj installata allora quando vi apparirà la lista di jvm da utilizzare troverete anche delle righe che si riferiscono al compilatore GNU di Java. Vi basterà disinstallare le versioni di gcj installate e tutto funzionerà per il meglio.

Annunci

Rispondi

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...

 
%d blogger hanno fatto clic su Mi Piace per questo: